%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-1.1.1
%global pypi_name devpi-server

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        2.1.2
Release:        1%{?dist}
Summary:        devpi-server: reliable fast pypi.python.org caching server

License:        MIT
URL:            http://doc.devpi.net
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Downstream only patch that makes sure conftest imports unbundled urllib, not the one
#  bundled in upstream requests
Patch0:         devpi-server-2.1.2-unbundle-urllib-import.patch
BuildArch:      noarch
 
BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-setuptools
BuildRequires:  %{?scl_prefix}python-devpi-common >= 2.0.3
BuildRequires:  %{?scl_prefix}python-devpi-common < 2.1
BuildRequires:  %{?scl_prefix}python-execnet >= 1.2
BuildRequires:  %{?scl_prefix}python-itsdangerous >= 0.24
BuildRequires:  %{?scl_prefix}python-pyramid >= 1.5.1
BuildRequires:  %{?scl_prefix}python-pytest
BuildRequires:  %{?scl_prefix}python-pytest-capturelog
BuildRequires:  %{?scl_prefix}python-requests
BuildRequires:  %{?scl_prefix}python-repoze-lru >= 0.6
BuildRequires:  %{?scl_prefix}python-webtest
 
Requires:       %{?scl_prefix_python}python-setuptools
Requires:       %{?scl_prefix}python-devpi-common >= 2.0.3
Requires:       %{?scl_prefix}python-devpi-common < 2.1
Requires:       %{?scl_prefix}python-execnet >= 1.2
Requires:       %{?scl_prefix}python-itsdangerous >= 0.24
Requires:       %{?scl_prefix}python-py >= 1.4.23
Requires:       %{?scl_prefix}python-pyramid >= 1.5.1
Requires:       %{?scl_prefix}python-repoze-lru >= 0.6
Requires:       %{?scl_prefix}python-waitress >= 0.8.9

%description
Consistent pypi.python.org cache, github-style internal indexes.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%patch0 -p0

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install --skip-build --root %{buildroot}
%{?scl:EOF}

%check
# remove build dir to prevent
# E   _pytest.config.ConftestImportFailure:
#  (local('/builddir/build/BUILD/devpi-server-2.1.2/build/lib/test_devpi_server/conftest.py'),
#  (<class 'py._path.local.LocalPath.ImportMismatchError'>,
#   ImportMismatchError('test_devpi_server.conftest',
#    '/builddir/build/BUILD/devpi-server-2.1.2/test_devpi_server/conftest.py',
#    local('/builddir/build/BUILD/devpi-server-2.1.2/build/lib/test_devpi_server/conftest.py')),
#   <traceback object at 0x7f36c01e9cb0>))
rm -rf build
%{?scl:scl enable %{scl} - << \EOF}
PATH=%{buildroot}%{_bindir}:$PATH \
PYTHONPATH=%{buildroot}%{python_sitelib}:$PYTHONPATH py.test
%{?scl:EOF}

%files
%doc README.rst
%{_bindir}/devpi-server
%{python_sitelib}/devpi_server
%exclude %{python_sitelib}/test_devpi_server
%{python_sitelib}/devpi_server-%{version}-py?.?.egg-info

%changelog
* Fri Oct 31 2014 Slavek Kabrda <bkabrda@redhat.com> - 2.1.2-1
- Initial package.
